
Redmine - Defect #6994

Error after saving a issue

2010-11-28 15:09 - Ammler _

Status: Closed Start date: 2010-11-28

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Trunk r4448:

Processing IssuesController#new (for 178.198.52.123 at 2010-11-28 14:14:40) [GET]

  Parameters: {"project_id"=>"sandbox", "action"=>"new", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/new

Completed in 152ms (View: 88, DB: 31) | 200 OK [http://svn.dev.openttdcoop.org/projects/sandbox/is

sues/new]

Processing IssuesController#create (for 178.198.52.123 at 2010-11-28 14:14:49) [POST]

  Parameters: {"commit"=>"Create", "project_id"=>"sandbox", "action"=>"create", "authenticity_toke

n"=>"BUqrlCZCnEO0mq0ln29YxzFMUKoEQeatNoDrui/rmWA=", "issue"=>{"start_date"=>"2010-11-28", "estimat

ed_hours"=>"", "priority_id"=>"4", "parent_issue_id"=>"", "done_ratio"=>"0", "assigned_to_id"=>"",

 "subject"=>"test3", "tracker_id"=>"1", "due_date"=>"", "status_id"=>"1", "description"=>""}, "con

troller"=>"issues", "attachments"=>{"1"=>{"description"=>""}}}

NoMethodError (undefined method `to_sym' for false:FalseClass):

  app/models/user.rb:399:in `notify_about?'

  app/models/issue.rb:442:in `recipients'

  app/models/mailer.rb:46:in `issue_add'

  app/models/issue_observer.rb:20:in `after_create'

  /usr/lib64/ruby/1.8/observer.rb:185:in `notify_observers'

  /usr/lib64/ruby/1.8/observer.rb:184:in `each'

  /usr/lib64/ruby/1.8/observer.rb:184:in `notify_observers'

  app/controllers/issues_controller.rb:131:in `create'

  passenger (3.0.0) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.0) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_n

ext_request'

  passenger (3.0.0) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_reque

st_handler'

  passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

  passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spaw

n_application'

  passenger (3.0.0) lib/phusion_passenger/utils.rb:479:in `safe_fork'

  passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spaw

n_application'

  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

  passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

  passenger (3.0.0) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

  passenger (3.0.0) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

  passenger (3.0.0) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

  passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

  passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

2024-05-03 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/4448


  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.0) helper-scripts/passenger-spawn-server:99

Rendering /home/dev/redmine.svn/public/500.html (500 Internal Server Error)

Related issues:

Is duplicate of Redmine - Patch #6848: Error at attaching afile. Closed 2010-11-08

History

#1 - 2010-11-28 15:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

You forgot to migrate. See #6848.

#2 - 2010-11-28 18:46 - Ammler _

omg, what a noobish mistake, I am so sorry :-$

#3 - 2011-10-25 12:11 - Sebastian Beatty

SPAM
